import { request } from 'umi';

export default {
	GetAllStore() {
		return request('/kitchen/api/StoreHelper/GetAllStore', {
			method: 'GET'
		});
	},

	GetCosRequestURL(data) {
		return request(`/kitchen/api/systemconfig/GetCosRequestSignURL`, {
			method: 'POST',
			data: data,
		});
	},

	/**
	 * 添加素材
	 * @param {*} params 
	 * @returns 
	 */
	 AddMinimaterial(params) {
		return request(`/kitchen/api/minimaterial/add`, {
			method: 'POST',
			data: params,
		});
	},

	/**
	 * 更新素材
	 * @param {*} params 
	 */
	UpdateMiniMaterial(params) {
		return request(`/kitchen/api/minimaterial/update`, {
			method: 'POST',
			data: params,
		});
	},

	/**
	 * 根据店铺id查询素材
	 */
	MinimaterialListByStore(params) {
		return request(`/kitchen/api/minimaterial/store`, {
			method: 'POST',
			data: params,
		});
	},

	/**
	 * 删除素材
	 */
	DeleteMiniMaterial(id) {
		return request(`/kitchen/api/minimaterial/del`, {
			method: 'POST',
			data: {
				id
			},
		});
	},
	
	/**
	 * 添加页面
	 * @param {*} params 
	 * @returns 
	 */
	MiniPageAdd(params) {
		return request('/kitchen/api/minipage/add', {
			method: 'POST',
			data: {
				...params
			}
		});
	},

	/**
	 * 删除
	 * @param {*} id 
	 * @returns 
	 */
	MiniPageDelete(id) {
		return request('/kitchen/api/minipage/del', {
			method: 'POST',
			data: {
				id
			}
		});
	},

	/**
	 * 更新页面
	 * @param {*} params 
	 */
	MiniPageUpdate(params) {
		return request('/kitchen/api/minipage/update', {
			method: 'POST',
			data: {
				...params
			}
		});
	},

	/**
	 * 分页查询
	 */
	MiniPageList(params) {
		return request('/kitchen/api/minipage/page', {
			method: 'POST',
			data: {
				...params
			}
		});
	}

}